--PJ008006 - Change 06 - 04302015
USE [COWS]
GO


--IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[arch].[FK01_FSA_MACH5_ORDR]') AND parent_object_id = OBJECT_ID(N'[arch].[FSA_MACH5_ORDR]'))
--ALTER TABLE [arch].[FSA_MACH5_ORDR] DROP CONSTRAINT [FK01_FSA_MACH5_ORDR]
--GO

--IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[arch].[FK02_FSA_MACH5_ORDR]') AND parent_object_id = OBJECT_ID(N'[arch].[FSA_MACH5_ORDR]'))
--ALTER TABLE [arch].[FSA_MACH5_ORDR] DROP CONSTRAINT [FK02_FSA_MACH5_ORDR]
--GO


/****** Object:  Table [arch].[FSA_MACH5_ORDR]    Script Date: 05/01/2015 00:44:27 ******/
--IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[arch].[FSA_MACH5_ORDR]') AND type in (N'U'))
--DROP TABLE [arch].[FSA_MACH5_ORDR]
--GO


IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK01_FSA_ORDR]') AND parent_object_id = OBJECT_ID(N'[dbo].[FSA_MACH5_ORDR]'))
ALTER TABLE [dbo].[FSA_MACH5_ORDR] DROP CONSTRAINT [FK01_FSA_ORDR]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK02_FSA_MACH5_ORDR]') AND parent_object_id = OBJECT_ID(N'[dbo].[FSA_MACH5_ORDR]'))
ALTER TABLE [dbo].[FSA_MACH5_ORDR] DROP CONSTRAINT [FK02_FSA_MACH5_ORDR]
GO


/****** Object:  Table [dbo].[FSA_MACH5_ORDR]    Script Date: 05/01/2015 00:43:32 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[FSA_MACH5_ORDR]') AND type in (N'U'))
DROP TABLE [dbo].[FSA_MACH5_ORDR]
GO


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

--CREATE TABLE [arch].[FSA_MACH5_ORDR]
--( 
--	[ID]                 int  NOT NULL ,
--	[ISACTIVE]           bit  NOT NULL ,
--	[FSA_ORDR_ID]        int  NOT NULL ,
--	[MACH5_ORDR_ID]      int  NOT NULL 
--)
--go

CREATE TABLE [dbo].[FSA_MACH5_ORDR]
( 
	[ID]                 int  NOT NULL  IDENTITY ( 1,1 ) NOT FOR REPLICATION,
	[ISACTIVE]           bit  NOT NULL ,
	[FSA_ORDR_ID]        int  NOT NULL ,
	[MACH5_ORDR_ID]      int  NOT NULL 
)
go

--ALTER TABLE [arch].[FSA_MACH5_ORDR]
--ADD CONSTRAINT [PK_FSA_MACH5_ORDR] PRIMARY KEY  CLUSTERED ([ID] ASC,[FSA_ORDR_ID] ASC,[MACH5_ORDR_ID] ASC)
--go

ALTER TABLE [dbo].[FSA_MACH5_ORDR]
ADD CONSTRAINT [PK_FSA_MACH5_ORDR] PRIMARY KEY  CLUSTERED ([ID] ASC,[FSA_ORDR_ID] ASC,[MACH5_ORDR_ID] ASC)
go

--ALTER TABLE [arch].[FSA_MACH5_ORDR]
--	ADD CONSTRAINT [FK01_FSA_MACH5_ORDR] FOREIGN KEY ([FSA_ORDR_ID]) REFERENCES [arch].[ORDR]([ORDR_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

--ALTER TABLE [arch].[FSA_MACH5_ORDR]
--	ADD CONSTRAINT [FK02_FSA_MACH5_ORDR] FOREIGN KEY ([MACH5_ORDR_ID]) REFERENCES [arch].[ORDR]([ORDR_ID])
--		ON DELETE NO ACTION
--		ON UPDATE NO ACTION
--go

ALTER TABLE [dbo].[FSA_MACH5_ORDR]
	ADD CONSTRAINT [FK01_FSA_ORDR] FOREIGN KEY ([FSA_ORDR_ID]) REFERENCES [dbo].[ORDR]([ORDR_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[FSA_MACH5_ORDR]
	ADD CONSTRAINT [FK02_FSA_MACH5_ORDR] FOREIGN KEY ([MACH5_ORDR_ID]) REFERENCES [dbo].[ORDR]([ORDR_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go


--
SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO